@namespace bf "http://id.loc.gov/ontologies/bibframe/";
@namespace dc "http://purl.org/dc/elements/1.1/";
@namespace exml "https://sub.uni-goettingen.de/met/standards/entity-xml#";
@namespace gndo "https://d-nb.info/standards/elementset/gnd#";
@namespace mml "http://www.w3.org/1998/Math/MathML";
@namespace oxy "http://www.oxygenxml.com/extensions/author";
@namespace svg "http://www.w3.org/2000/svg";
@namespace xi "http://www.w3.org/2001/XInclude";
@namespace xlink "http://www.w3.org/1999/xlink";
@namespace xml "http://www.w3.org/XML/1998/namespace";


/*#####################{  Statement of Responsibility  }###################*/
project respStmt:last-of-type::after(10),
collection > metadata respStmt:last-of-type::after(10) {
    display: block;
    margin-top: 1em;
    content : ""  
        oxy_button(
            actionID, 'insert.respStmt',
            transparent, false,
            fontInherit, true);
}

project respStmt::before(100),
collection > metadata respStmt::before(100) {
    content:
        oxy_button(
            actionID, 'remove.node',
            transparent, false,
            fontInherit, false,
            visible, true
        );
    position: relative;
    top: 0.15em;
}

/*#####################{  Revision Desciption  }#####################*/
revision:focus::before(5) {
    content: "(" oxy_popup( edit, "@status", fontInherit, "true", selectionMode, "single") ")";
}

revision:focus:before(4) {
    /* content : ""  
        oxy_button(action, 
            oxy_action(
                name, 'Eintrag anlegen', 
                description, 'Insert a Person Element after the current one', 
                operation, 'InsertFragmentOperation', 
                arg-fragment, '<change xmlns="https://sub.uni-goettingen.de/met/standards/entity-xml#" when="" who="">...${caret}</change>',
                arg-insertLocation, '.',
                arg-insertPosition, 'Inside as first child'
            ),
            transparent, "true",
            fontInherit, "false"); */
    content : ""  
        oxy_button(
            actionID, 'insert.change',
            transparent, false,
            fontInherit, false);
    display: block;
}

revision change:focus::before(6){
    content: oxy_datePicker(edit, "@when", format, "yyyy-MM-dd", fontInherit, "true", columns, 16);
    margin-right: 0px;
}

revision change:focus::before(5){
    content: oxy_textfield(edit, "@who", fontInherit, "true", columns, 10);
    margin-right: 0px;
}

revision change:focus::before(4){
    content: oxy_popup(edit, "@status", fontInherit, "true", selectionMode, "single");
    margin-right: 0px;
}

revision change:focus::before(7){
    content : ""  
        oxy_button(
            actionID, 'remove.node',
            transparent, true,
            fontInherit, false,
            visible, true);
    border: 1px solid gray;
    position: relative;
    top:-3px;
    padding-bottom: 1px;
}

revision change:not(:first-child):focus::before(9){
    content : ""  
        oxy_button(
            actionID, 'move.change.up',
            transparent, true,
            fontInherit, false,
            showIcon, false,
            visible, true);
    border: 1px solid gray;
    position: relative;
    top: -3px;
    padding-bottom: 1px;
}

revision change:not(:last-child):focus::before(8){
    content : ""  
        oxy_button(
            actionID, 'move.change.down',
            transparent, true,
            fontInherit, false,
            visible, true);
    border: 1px solid gray;
    position: relative;
    top:-3px;
    padding-bottom: 1px;
}



/* #####################{  RECORDS  }##################### */

/************{  Record Headers (::befors)  }*************/

data > list > *:not(title):not(abstract):not(oxy|comment)::before(99) {
    position: relative;
    padding: 0.08em 0.2em;
    top: -1em;
    content:
        oxy_button(actionID, 'remove.node',
        transparent, true,
        color, #000,
        fontInherit, false,
        transparent, true);
}

data > list > *:not(title):not(abstract):not(oxy|comment)::before(10) {
    display: none;
    position: relative;
    top: -2px;
    margin-left: 10px;
    content:
        oxy_button(actionID, 'remove.node',
        transparent, true,
        color, #000,
        fontInherit, "false");
}

/* data > list > *:not(title):not(abstract):not(oxy|comment):not([xml|id])::before(9) {
    display: block;
    content:
        oxy_label( text, " Record ID", styles, "width: 8%; font-weight: 100; color: gray; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_button(actionID, 'insert.recordID',
            transparent, "true",
            fontInherit, "false");
    margin-top: -3px;
} */

/* data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|uri])::before(8) {
    content:
        oxy_label( text, " GND-URI", styles, "width: 8%; font-weight: 100; color: gray; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_button(actionID, 'insert.gndURI',
            transparent, "true",
            fontInherit, "false");
} */

/* data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|type])::before(5) {
    display: block;
    content:
        oxy_label( text, " Subtype", styles, "width: 8%; color: gray; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_button(action, oxy_action(
                name, 'Subtype hinzufügen', 
                description, 'Zeichnet die Entität als Unterklasse aus.', 
                operation, 'ChangeAttributeOperation', 
                arg-elementLocation, '',
                arg-name, 'type',
                arg-namespace, 'https://d-nb.info/standards/elementset/gnd#',
                arg-value, ' ',
                arg-removeIfEmpty, true),
            transparent, "true",
            fontInherit, "false");
} */

/* data > list > *:not(title):not(abstract):not(oxy|comment):not([agency])::before(4) {
    display: block;
    content:
        oxy_label( text, " Agenturmodus", styles, "width: 8%; color: gray; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_button(action, oxy_action(
                name, 'Agenturmodus hinzufügen', 
                description, 'Gibt an, was mit dem Eintrag aus Sicht des Datenlieferaten bei einer GND-Agentur gemacht werden soll.', 
                operation, 'ChangeAttributeOperation', 
                arg-elementLocation, '',
                arg-name, 'agency',
                arg-value, 'ignore',
                arg-removeIfEmpty, true),
            transparent, "true",
            fontInherit, "false");
        
} */



data > list > *:not(title):not(abstract):not(oxy|comment):not([xml|id])::before(90) {
    content: 
        oxy_button(
            actionID, 'insert.recordID',
            transparent, "true",
            fontInherit, "false");
    display: inline;
    margin-right: 15px;

}

data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|uri])::before(89) {
    content: 
        oxy_button(
            actionID, 'insert.gndURI',
            transparent, "true",
            fontInherit, "false");
    display: inline;
    margin-right: 15px;
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|type])::before(88) {
    content:
        oxy_button(action, oxy_action(
                name, 'Subtype hinzufügen', 
                description, 'Zeichnet die Entität als Unterklasse aus.', 
                operation, 'ChangeAttributeOperation', 
                arg-elementLocation, '',
                arg-name, 'type',
                arg-namespace, 'https://d-nb.info/standards/elementset/gnd#',
                arg-value, '',
                arg-removeIfEmpty, false),
            transparent, "true",
            fontInherit, "false");
    margin-right: 15px;
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([agency])::before(87) {
    content:
        oxy_button(action, oxy_action(
                name, 'Agenturmodus hinzufügen', 
                description, 'Gibt an, was mit dem Eintrag aus Sicht des Datenlieferaten bei einer GND-Agentur gemacht werden soll.', 
                operation, 'ChangeAttributeOperation', 
                arg-elementLocation, '',
                arg-name, 'agency',
                arg-value, 'ignore',
                arg-removeIfEmpty, true),
            transparent, "true",
            fontInherit, "false");  
    margin-right: 15px;
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([xml|id])::before(9) {
    display: none;  
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|uri])::before(8) {
    display: none;  
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|type])::before(5) {
    display: none;
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([agency])::before(4) {
    display: none;
}